# Uses of Class
java.lang.Enum.EnumDesc

Packages that use Enum.EnumDesc
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of Enum.EnumDesc in java.lang

Methods in java.lang that return Enum.EnumDesc
Modifier and Type
Method
Description
`static <E extends Enum<E>>
Enum.EnumDesc<E>`
Enum.EnumDesc.`of​(ClassDesc enumClass, String constantName)`
Returns a nominal descriptor for the specified `enum` class and name
Methods in java.lang that return types with arguments of type Enum.EnumDesc
Modifier and Type
Method
Description
`Optional<Enum.EnumDesc<E>>`
Enum.`describeConstable()`
Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.